/*******************************************************************************
 * Copyright (c) 2005 Cognos Incorporated.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     Cognos Incorporated - initial API and implementation
 *******************************************************************************/

package org.eclipse.equinox.http.registry.internal;

import java.io.IOException;
import java.util.Iterator;

import javax.servlet.ServletException;
import javax.servlet.http.*;

public class TestServlet extends HttpServlet {

	private static final long serialVersionUID = 9093446704833698604L;

	public void destroy() {
		super.destroy();
	}

	public void init() throws ServletException {
		super.init();
	}

	protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
		resp.getWriter().write("GET - " + getServletConfig().getServletName()); //$NON-NLS-1$
		resp.getWriter().write(" - " + this.getClass().getName()); //$NON-NLS-1$
		resp.getWriter().write(" - " + getServletConfig().getInitParameter("testParam")); //$NON-NLS-1$ //$NON-NLS-2$
		for (Iterator it = getServletConfig().getServletContext().getResourcePaths("/").iterator(); it.hasNext();) //$NON-NLS-1$
			resp.getWriter().write(it.next() + System.getProperty("line.separator")); //$NON-NLS-1$
	}

	protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
		resp.getWriter().write("POST - " + getServletConfig().getServletName()); //$NON-NLS-1$
		resp.getWriter().write(" - " + getServletConfig().getInitParameter("testParam")); //$NON-NLS-1$ //$NON-NLS-2$
		for (Iterator it = getServletConfig().getServletContext().getResourcePaths("/").iterator(); it.hasNext();) //$NON-NLS-1$
			resp.getWriter().write(it.next() + System.getProperty("line.separator")); //$NON-NLS-1$
	}

}