/*******************************************************************************
 * Copyright (c) 2005 Cognos Incorporated.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 * 
 * Contributors:
 *     Cognos Incorporated - initial API and implementation
 *******************************************************************************/

package org.eclipse.equinox.servlet.bridge.http.internal;

import java.util.Dictionary;
import java.util.Enumeration;
import java.util.Hashtable;

import javax.servlet.*;

public class ServletConfigImpl implements ServletConfig {

	private static final Dictionary EMPTY_PARAMS = new Hashtable(0);
	private static final String SERVLET_NAME = "servlet-name"; //$NON-NLS-1$
	private Servlet servlet;
	private Dictionary initparams;
	private ServletContext servletContext;

	public ServletConfigImpl(Servlet servlet, Dictionary initparams, ServletContext servletContext) {
		this.servlet = servlet;
		this.initparams = (initparams != null) ? initparams : EMPTY_PARAMS;
		this.servletContext = servletContext;
	}

	public String getServletName() {
		String servletName = (String) initparams.get(SERVLET_NAME);
		return (servletName != null) ? servletName : servlet.getClass().getName();
	}

	public ServletContext getServletContext() {
		return servletContext;
	}

	public String getInitParameter(String name) {
		return (String) initparams.get(name);
	}

	public Enumeration getInitParameterNames() {
		return initparams.keys();
	}
}
